package simple;

import kernel.Constraint;

/**
 * An interface models a constraint in simple mode (i.e. when single variable per agent is used).
 * 
 * @author Redouane EZZHIR
 * 
 */
public interface SConstraint extends Constraint {

	/**
	 * Checks whether the internal variable value is consistent or not.
	 */
	public boolean isConsistent(int internalVal);

}
